package info.bukova.isspst.ui.main.orders.requirements;

import info.bukova.isspst.data.MUnitEmb;
import info.bukova.isspst.data.RequirementSubject;
import info.bukova.isspst.services.munits.MUnitService;
import info.bukova.isspst.ui.DocumentViewModel;

import java.util.List;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class SelectItems extends DocumentViewModel
{
	protected RequirementSubject selectedItem;

	@WireVariable
	protected MUnitService munitService;

	protected List<MUnitEmb> munitList;


	@Init(superclass = true)
	public void initSelectItems()
	{
		this.setMunitList(munitService.getEmbAll());
	}

	public RequirementSubject getSelectedItem()
	{
		return selectedItem;
	}

	public void setSelectedItem(RequirementSubject selectedItem)
	{
		this.selectedItem = selectedItem;
	}

	public List<MUnitEmb> getMunitList()
	{
		return munitList;
	}

	public void setMunitList(List<MUnitEmb> munitList)
	{
		this.munitList = munitList;
	}
}
